// For ease of understanding everything is in this script

waitUntil {alive player};
sleep 1;
player sideChat "Hello World";

// TTT_builtin is a variable that determines if the auto-sync should be available
// if a mission designer does not want it, simply add TTT_builtin=false to any
// game logic init field
if (isNil "TTT_builtin") then {
	TTT_builtin = true;
};
publicVariable "TTT_builtin";
// spawn a script as we cannot sleep within init.sqf context
[] spawn {
    while {TTT_builtin} do {
    	// frequency of updates
	  	sleep 5;
	  	// not convinced of the use of this call and it's efficiency
	  	private ["_air"];
	  	_air = [];
  		// add any Air vessel within 2000 meter of the SyncCenter named object (a boat in the sample mission)
  		_air = _air + (nearestObjects [ SyncCenter, ["Plane"], 2000]);
  		_air = _air + (nearestObjects [ SyncCenter, ["Helicopter"], 2000]);
	    {
	    	private ["_airObj"];
	    	_airObj = _x;

	    	if (alive _airObj) then {
	    		private ["_synced"];
	    		_synced = _airObj getVariable "TTT_synced";
	    		if (isNil "_synced") then {
	    			player sideChat format ["Syncing %s", _airObj];
		    		_airObj addAction ["A useless action", "hint 'Hello World'"];
		    		_airObj setVariable ["TTT_synced", true, true];
		    	};
	    	};
		} forEach _air;
    };
};
